
Redmine - Defect #5369

Wiki formatting breaks

2010-04-22 11:22 - Yar Isakov

Status: Closed Start date: 2010-04-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.3

Description

Hello, I've installed Redmine and found that if I create wiki with revision link on last line, formatting is broken. Here is explanation:

Good case:

a

r1

b

So we have this in html code:

<h1 id="abr-r1br-b">

And display of this is good    

Bad case:

a

b

r1

And we must have this:

<h1 id="abr-bbr-r1">

But Redmine see r1 in id and thinks that it's must be a link to revision, so it insert <a

href="/redmine/projects/test/repository/revisions/1" class="changeset" title="test revision">r1</a> in id:

<h1 id="abr-bbr<a href="/redmine/projects/test/repository/revisions/1" class="changeset" title="test revision">r1</a>">

and formatting here is bad.

I have:

Redmine-0.9.3

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

fastthread (1.0.7)

passenger (2.2.11)

rack (1.1.0, 1.0.1)

rails (2.3.5)

rake (0.8.7)

History

#1 - 2010-04-22 11:27 - Yar Isakov

Hey, r1 in Description of this bug is very strange, it is shown as link, then as striked link (and text after it also striked), and then all r1 are non-links

#2 - 2010-12-30 05:57 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Cant reproduce

Can't reproduce this on the current Redmine trunk. Your use-case is now handled correctly.
